Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class SchemaResponse

    java.lang.Object
      |
      +--org.openspml.message.SpmlResponse
            |
            +--org.openspml.message.SchemaResponse

public class SchemaResponse
extends SpmlResponse

A class representing a `schemaResponse` element.

Fields inherited from class org.openspml.message.SpmlResponse
`ERROR_CUSTOM_ERROR, ERROR_MALFORMED_REQUEST, ERROR_NO_SUCH_IDENTIFIER, ERROR_NO_SUCH_REQUEST, ERROR_UNSUPPORTED_IDENTIFIER_TYPE, ERROR_UNSUPPORTED_OPERATION, RESULT_FAILURE, RESULT_PENDING, RESULT_SUCCESS`

Constructor Summary
`SchemaResponse()`

Method Summary
`void` | `addSchema(Schema s)`
`Schema` | `getSchema()` Get the "primary" schema, presumably the first one on the list, and generally there will be only one.
`java.util.List` | `getSchemas()`
`void` | `setSchemas(java.util.List l)`

Methods inherited from class org.openspml.message.SpmlResponse
`addExtendedErrorMessage, createResponseForRequest, createResponseForRequest, dumpFile, getError, getErrorMessage, getExtendedErrorMessages, getOperationalAttribute, getOperationalAttributes, getOperationalAttributeValue, getRequestId, getResult, isFailure, parseResponse, parseResponse, parseResponse, removeOperationalAttribute, setError, setErrorMessage, setErrorMessage, setOperationalAttribute, setOperationalAttribute, setOperationalAttributes, setOperationalAttributes, setRequestId, setResult, throwErrors, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaResponse

    public SchemaResponse()

Method Detail

### setSchemas

    public void setSchemas(java.util.List l)

### addSchema

    public void addSchema(Schema s)

### getSchemas

    public java.util.List getSchemas()

### getSchema

    public Schema getSchema()

  Get the "primary" schema, presumably the first one on the list, and generally there will be only one.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD